Jack2 1.9.12

Public Attributes | List of all members
PaStreamInfo Struct Reference

`#include <portaudio.h>`

## Public Attributes
int | structVersion
PaTime | inputLatency
PaTime | outputLatency
double | sampleRate

## Detailed Description

A structure containing unchanging information about an open stream.

See also
  Pa_GetStreamInfo

Definition at line 948 of file portaudio.h.

## Member Data Documentation

## ◆ structVersion

int PaStreamInfo::structVersion

this is struct version 1

Definition at line 950 of file portaudio.h.

## ◆ inputLatency

PaTime PaStreamInfo::inputLatency

The input latency of the stream in seconds. This value provides the most accurate estimate of input latency available to the implementation. It may differ significantly from the suggestedLatency value passed to Pa_OpenStream(). The value of this field will be zero (0.) for output-only streams.

See also
  PaTime

Definition at line 958 of file portaudio.h.

## ◆ outputLatency

PaTime PaStreamInfo::outputLatency

The output latency of the stream in seconds. This value provides the most accurate estimate of output latency available to the implementation. It may differ significantly from the suggestedLatency value passed to Pa_OpenStream(). The value of this field will be zero (0.) for input-only streams.

See also
  PaTime

Definition at line 966 of file portaudio.h.

## ◆ sampleRate

double PaStreamInfo::sampleRate

The sample rate of the stream in Hertz (samples per second). In cases where the hardware sample rate is inaccurate and PortAudio is aware of it, the value of this field may be different from the sampleRate parameter passed to Pa_OpenStream(). If information about the actual hardware sample rate is not available, this field will have the same value as the sampleRate parameter passed to Pa_OpenStream().

Definition at line 975 of file portaudio.h.

The documentation for this struct was generated from the following file:

- portaudio.h